Summary: A drag and drop trashcan program.
Name: OffiX-Trash
Version: 2.4
Release: 12
Group: Applications/Productivity
Copyright: GPL
Source: ftp://ftp.leb.net/pub/offix/Trash-2.4.tar.gz
Source1: offix-trash.desktop
Patch: Trash-2.4-Xaw3d.patch
Patch1: Trash-2.4-glibc22.patch
BuildRoot: %{_tmppath}/%{name}-root
BuildPreReq: OffiX-devel

%description
OffiX-Trash lets you drop files into the trash.  Those files are moved
into a temporary hidden directory.  You can recover or undelete files
from the trash.  Or you can click the delete all button to
permanently delete the files in the trash.

%prep
%setup -q -n Trash-%{version}
%patch -p1
%patch1 -p1 -b .glbc

%build
%configure --with-dnd-inc=%{_includedir}/OffiX \
        --with-dnd-lib=%{_libdir}
make

%install
rm -rf rm -rf $RPM_BUILD_ROOT

%makeinstall
mkdir -p $RPM_BUILD_ROOT%{_prefix}/X11R6/lib/X11/app-defaults
install -c -m 644 src/Trash.ad $RPM_BUILD_ROOT%{_prefix}/X11R6/lib/X11/app-defaults/Trash
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/Applications/
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/etc/X11/applnk/Applications/ 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL README THANKS
%config /usr/X11R6/lib/X11/app-defaults/Trash
%{_bindir}/*
%{_sysconfdir}/X11/applnk/Applications/offix-trash.desktop 

%changelog
* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Sat Jul 22 2000 Tim Powers <timp@redhat.com>
- fixed missing BuildPreReq

* Wed Jul 12 2000 Than Ngo <than@redhat.de>
- rebuilt

* Sat Jun 17 2000 Than Ngo <than@redhat.de>
- rebuilt for 7.0
- FHS fixes
- fix offix-trash.desktop
- fix to built against new glibc
- clean up specfile

* Tue Dec 21 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.2

* Mon Jun 28 1999 Tim Powers <timp@redhat.com>
- removed exclusivearch line to allow for sparc builds
- rebuilt for 6.1

* Mon Apr 12 1999 Michael Maher <mike@redhat.com>
- built package 6.0 

* Wed Oct 06 1998 Michael Maher <mike@redhat.com>
- checked spec file
- built pacakge for 5.2

* Tue Jan 27 1998 Otto Hammersmith <otto@redhat.com>
- fixed typo that had this desktop file as offix-printer
- added desktop

* Thu Jan 22 1998 Otto Hammersmith <otto@redhat.com>
- snagged contrib package and cleaned it up a bit.

